Saturday, May 18, 2013

kdev-python 1.5.1 released

kdev-python provides Python language support for the KDevelop integrated development environment. For more information, please look at the 1.4 and 1.5 release announcements, and especially make sure to watch this short demonstration video!

The 1.5.1 release fixes a few issues with 1.5.0. Especially, it
  • fixes a crash bug which could happen when PEP8 checking was enabled
  • fixes capitalization in the coding line completion
  • displays the correct plugin version in the About dialog
This is a rather minor update and I recommend it to everyone running 1.5.

There's one thing I forgot to announce in the 1.5 release: PEP8 checking support (which was actually a good thing, since it was rather crashy until now ;)).
PEP8 checking suppot in kdev-python 1.5.1
It will run the PEP8 style checker whenever an open file is modified and display all errors inline (if you have inline error display enabled) and in the Problems toolview.
By default it is disabled though, since it displays a lot of errors for people who don't follow PEP8, so if you want to use it, go to Settings -- Configure KDevelop -- PEP8 style checking (the change will only apply to newly opened or modified files).

If there's any issues, please make sure to let me know on the bug tracker.

The tarball can be found here, sha256 checksum is  d9b68bd2dd9361961e264254d2acfebc9ce0ea4b47ea2689d2f01a3ed81f7c47

12 comments:

  1. ...Sometimes comments get eaten by blogger, maybe spam protection? I only get them by mail but they don't appear here...
    I'll just quote it here in my reply :)

    > This is pretty awesome.
    Thanks :)

    > Will each successive install overwrite
    > the one before?
    Yes.

    > Is there a way for me to check that
    > I'm successfully using the latest version
    > in KDevelop?
    Yes, go to Help -> Loaded Plugins and click the info icon next to "Python support", and verify that the version number matches the last announcement. Note that sometimes I forget updating the version number :)

    > I make my money doing other stuff - but
    > is there any way to give you more tangible thanks?
    > I'm not talking about riches or anything
    > but I thought maybe something better than just
    > saying it here.
    The thing I'd be most grateful for would be contributions in the form of bug reports (or even patches?), and for you recommending the software to other people in case you like it :)

    Greetings,
    Sven

    ReplyDelete
  2. Hi, can I ask how to use this plugin?

    My systems is opensuse 12.3. I have installed kdevelop and kdev-python.
    I build a "simple python application" project, and edit a .py document.
    But the python-plugin seems not to work and I can use only the basic function of the text editor.
    What should I do?
    Thank you.

    Greetings,
    Wei-Ting

    ReplyDelete
  3. Hi,

    Verify that you have matching versions of kdevplatform and kdev-python (e.g. 1.4.x of both, or 1.5.x of both). Your package manager should do that for you, but you should still check.

    If that's not it, you might need to run kbuildsycoca or reboot your system after you installed the plugin.

    Also check if the plugin is listed in Help -> Loaded plugins.

    If that doesn't work either, tell me and we can debug it further.

    Greetings,
    Sven

    ReplyDelete
  4. Hi,

    After rebooting, it works perfectly!

    Thank you for your response and such a great plugin.

    Greetings,
    Wei-Ting

    ReplyDelete
  5. I've tried installing a couple times on Fedora 19 (just installed) and I'm not having much luck. The install throws some warnings about "‘PyArg_ParseTuple’ is an unrecognized format function type [-Wformat=] PyAPI_FUNC(int)" That I did not see when I installed on Fedora 18. But everything does seem to finish successfully.

    I've tried rebooting and kbuildsycoca but it still doesn't show up in the loaded plugins.

    The environment is kdevplatform 1.5.1 kdevelop 4.5.1 KDE 4.10.4 and I'm installing from kdev-python=v1.5.1.tar.bz2

    I followed the instructions in INSTALL - which worked for me fine before.

    A quick question - if I want to start over - and remove all that I've just installed - is there an easy way to do that or would I need to look over the install, see what files were put in place and remove them?

    thanks

    ReplyDelete
    Replies
    1. I figured out the uninstall part - super easy.

      Delete
  6. Hi,

    kdev-python is awesome, i just jan get pep8 to work.

    I got this error:
    The selected PEP8 syntax checker "/usr/bin/pep8" does not seem to work correctly.

    I had to change the path to /usr/bin/pep8 but its still not working on OpenSuse 13.1

    ReplyDelete
    Replies
    1. Hmm. Can you run /usr/bin/pep8 in console? What happens? What does /usr/bin/pep8 --version say?


      Greetings,
      Sven

      Delete
    2. Weird, it works in new project, anyway, needed to use path mentioned above.

      Delete
    3. Yeah that's okay, that's why it is configurable. ;)

      Delete
  7. This comment has been removed by the author.

    ReplyDelete